import { PlatformAccessory, CharacteristicGetCallback } from 'homebridge';
import { FullDevice } from 'eufy-node-client/src/http/http-response.models';
import { EufySecurityHomebridgePlatform } from './platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class CameraPlatformAccessory {
    private readonly platform;
    private readonly accessory;
    private readonly device;
    constructor(platform: EufySecurityHomebridgePlatform, accessory: PlatformAccessory, device: FullDevice);
    handleProgrammableSwitchEventGet(callback: CharacteristicGetCallback): void;
}
//# sourceMappingURL=camera-platform-accessory.d.ts.map